Bug 804432

Summary: RFE: Opportunistic USB host device assignment
Product: [Community] Virtualization Tools Reporter: Avi Kivity <avi>
Component: virt-managerAssignee: Cole Robinson <crobinso>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: berrange, crobinso, dpierce, dyasny, hbrock, jforbes, knoel
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-01 14:36:16 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Avi Kivity 2012-03-18 15:02:49 EDT
Description of problem:

Currently, plug/unplug of a USB host device must be done through virt-manager.  You can't start a guest that has a USB device assigned if the device is not present, and if you unplug a device from a running guest, it won't get reassigned on re-plug (I think).

This RFE asks for an 'opportunistic' flag to be set on a device.  If it's present while the guest is running, assign it.  If not, that's fine too.  If the device is plugged after the guest is started, assign it then.

This lets a device be permanently associated with the guest, without requiring it to be present at all times.


Version-Release number of selected component (if applicable):
virt-manager-0.9.1-2.fc16.noarch


How reproducible:
Always

Steps to Reproduce:
1. Assign a device to a guest
2. Remove the device
3. Shutdown the guest
4. Start the guest
  
Actual results:
Guest won't start


Expected results:
Guest starts, sees device if plugged in later.
Comment 2 Fedora End Of Life 2013-01-16 07:47:23 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Cole Robinson 2013-07-01 14:36:16 EDT
This is basically what spice usb redirection does.